### Method

# Gdk AppLaunchContextset_icon

#### Declaration [src]

    void
    gdk_app_launch_context_set_icon (
      GdkAppLaunchContext* context,
      GIcon* icon
    )

#### Description [src]

Sets the icon for applications that are launched with this context.

Window Managers can use this information when displaying startup notification.

See also `gdk_app_launch_context_set_icon_name()`.

#### Parameters

`icon`

  Type: `GIcon`

  A `GIcon`

  The argument can be `NULL`.
  The data is owned by the caller of the method.